Eclipse GEF 3.3

## org.eclipse.gef.requests
Class LocationRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gef.requests.LocationRequest

Direct Known Subclasses:
  BendpointRequest, DirectEditRequest, ReconnectRequest, SelectionRequest

public class LocationRequest
extends Request

A Request that needs to keep track of a location.

Constructor Summary
`LocationRequest()` Constructs a LocationRequest with no type.
`LocationRequest(java.lang.Object type)` Constructs a LocationRequest with the given type.

Method Summary
`Point` `getLocation()` Returns the current location.
`void` `setLocation(Point p)` Sets the current location.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationRequest

    public LocationRequest()

  Constructs a LocationRequest with no type.

### LocationRequest

    public LocationRequest(java.lang.Object type)

  Constructs a LocationRequest with the given type.

Parameters:
  `type` - the type

Method Detail

### getLocation

    public Point getLocation()

  Returns the current location.

  Returns:
    The current location

### setLocation

    public void setLocation(Point p)

  Sets the current location.

  Parameters:
    `p` - The current location.

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.